TestSingleUserSecurityProvider (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.security.TestSingleUserSecurityProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.security
Class TestSingleUserSecurityProvider

    java.lang.Object
      org.mule.security.AbstractSecurityProvider
          org.mule.tck.security.TestSingleUserSecurityProvider

All Implemented Interfaces:
  Initialisable, NamedObject, SecurityProvider

Direct Known Subclasses:
  TestMultiuserSecurityProvider

    public class TestSingleUserSecurityProvider

extends AbstractSecurityProvider

A security provider which only authenticates a single user at a time (i.e., authentication of a new user overwrites the previous authentication).

Field Summary
`protected Log` | `logger`
`static String` | `PROPERTY_FAVORITE_COLOR`
`static String` | `PROPERTY_NUMBER_LOGINS`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`TestSingleUserSecurityProvider()`
`TestSingleUserSecurityProvider(String name)`

Method Summary
`Authentication` | `authenticate(Authentication authenticationRequest)`

Methods inherited from class org.mule.security.AbstractSecurityProvider
`createSecurityContext, doInitialise, getName, getSecurityContextFactory, initialise, setName, setSecurityContextFactory, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_FAVORITE_COLOR

    public static final String PROPERTY_FAVORITE_COLOR

See Also:
  Constant Field Values

### PROPERTY_NUMBER_LOGINS

    public static final String PROPERTY_NUMBER_LOGINS

See Also:
  Constant Field Values

### logger

    protected final transient Log logger

Constructor Detail

### TestSingleUserSecurityProvider

    public TestSingleUserSecurityProvider()

### TestSingleUserSecurityProvider

    public TestSingleUserSecurityProvider(String name)

Method Detail

### authenticate

    public Authentication authenticate(Authentication authenticationRequest)
                                throws SecurityException

  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.